AbstractDaoBuffer (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.persistence

## Class AbstractDaoBuffer<T extends FetchingElement>

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.server.persistence.AbstractDaoBuffer<T>

- All Implemented Interfaces:
    FetchingBuffer<T>
  Direct Known Subclasses:
    AbstractSelectableDaoBuffer, OccurrenceBuffer

      public abstract class AbstractDaoBuffer<T extends FetchingElement>
      extends Object
      implements FetchingBuffer<T>

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AbstractPersistence<T>` | `dao`
    `protected org.apache.log4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDaoBuffer(AbstractPersistence<T> dao)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(T item)`
    `List<T>` | `getList()`
    `List<T>` | `getList(int startIndex, int offset)`
    `List<T>` | `getList(Map<String,String> filterANDMap, int startIndex, int offset)`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected org.apache.log4j.Logger logger

    - #### dao

          protected AbstractPersistence<T extends FetchingElement> dao

  - ### Constructor Detail

    - #### AbstractDaoBuffer

          public AbstractDaoBuffer(AbstractPersistence<T> dao)

  - ### Method Detail

    - #### add

          public void add(T item)
                   throws Exception

      Specified by:
        `add` in interface `FetchingBuffer<T extends FetchingElement>`
      Throws:
        `Exception`

    - #### size

          public int size()
                   throws Exception

      Specified by:
        `size` in interface `FetchingBuffer<T extends FetchingElement>`
      Throws:
        `Exception`

    - #### getList

          public List<T> getList()
                                                  throws Exception

      Specified by:
        `getList` in interface `FetchingBuffer<T extends FetchingElement>`
      Throws:
        `Exception`

    - #### getList

          public List<T> getList(int startIndex,
                        int offset)
                                                  throws Exception

      Specified by:
        `getList` in interface `FetchingBuffer<T extends FetchingElement>`
      Throws:
        `Exception`

    - #### getList

          public List<T> getList(Map<String,String> filterANDMap,
                        int startIndex,
                        int offset)
                                                  throws Exception

      Specified by:
        `getList` in interface `FetchingBuffer<T extends FetchingElement>`
      Throws:
        `Exception`

Copyright © 2013. All Rights Reserved.